@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;700&display=swap');

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

a {
  text-decoration: none;
}

body {
  transition: 0.5s;
  padding-left: 4rem; 
  overflow-x: hidden;
  font-family: "Roboto", sans-serif;
}

.sidebar {
  width: 4rem;
  height: 100vh;
  position: fixed;
  top: 0;
  left: 0;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  z-index: 100;
  cursor: pointer;
  background: #313131;
  transition: 0.5s;
  overflow: hidden;
}

.sidebar:hover {
  width: 10em;
}


.sidebar:hover + * {

  transform: translateX(8rem); 

}

.brand {
  text-align: center;
  font-size: 1.4rem;
  padding: 1rem 0;
  color: #f700ff;
}

.brand:hover {
  background: #630a4d;
}

.brand span {
  display: none;
}

.nav-list {
  list-style: none;
}

.nav-item {
  padding: 1rem;
  display: flex;
  align-items: center;
  justify-content: center;
  
}

.nav-item:hover {
  background: #960276;
  background-color: #960276;
  .nav-item{ background-color: #960276;}
  .nav-item__text{ background-color: #960276;}
  .nav-item a {background-color: #960276;}
}

.nav-item a {
  position: relative;
  white-space: nowrap;
  display: flex;
  gap: 0.2rem;
  
}

.nav-item__icon {
  position: relative;
  font-size: 1.2rem;
  display: flex;
  align-items: center;
  justify-content: center;
}

.nav-item__text {
  position: relative;
  display: none;
  font-size: 1em;
  color: #ffffff;
  text-transform: uppercase;
  letter-spacing: 0.05em;
  
}

.avatar {
  width: 1.5rem;
  height: 1.5rem;
  border-radius: 50%;
  background: #fff;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 0.8em;
  font-weight: 700;
  
}

.logout {
  margin-left: 0.2rem;
}

.sidebar:hover .brand span {
  display: inline;  
}

.sidebar:hover .nav-item {
  justify-content: start;
  
}

.sidebar:hover .nav-item__text {
  display: flex;
  align-items: center;
}